> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/staking/get-all-staking-transactions.md).

# Get All Staking Transactions

Staking and reward transaction history

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1`**`/staking/transactions`**

Retrieve a list of staking transactions from your account including stake and reward transactions.

### Query Parameters

<table><thead><tr><th width="152">Parameter</th><th width="118">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong></td><td>string</td><td>Retrieve transactions for a given asset or set of assets. <br>e.g. <code>?currency=avax%Cdot</code></td></tr><tr><td><strong><code>types</code></strong></td><td>string</td><td><p>Retrieve a specified type of transactions or set of transaction types. Possible values:</p><ul><li><code>STAKE</code>: Staking transactions</li><li><code>REWARD</code>: Reward transactions</li></ul></td></tr><tr><td><strong><code>from</code></strong></td><td>timestamp</td><td>Retrieve transactions that occurred after and including this timestamp (UNIX timestamp in ms).</td></tr><tr><td><strong><code>to</code></strong></td><td>timestamp</td><td>Retrieve transactions that occurred before and including this timestamp (UNIX timestamp in ms).</td></tr></tbody></table>

### Response Body

<table><thead><tr><th width="269">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>amount</code></strong></td><td>The transaction amount</td></tr><tr><td><strong><code>atx_id</code></strong></td><td>The associated ID of this transaction on your account ledger</td></tr><tr><td><strong><code>stake_start</code></strong></td><td>Time at which the staking period began for this request</td></tr><tr><td><strong><code>stake_end</code></strong></td><td>Time at which the staking period will or did end</td></tr><tr><td><strong><code>staked_reward_amount</code></strong></td><td>The rewards that were earned from this staking request</td></tr><tr><td><strong><code>staked_auto_restake</code></strong></td><td>Flag signifying whether you have enabled auto re-staking for this request</td></tr><tr><td><strong><code>date_added</code></strong></td><td>Time at which this transaction was recorded</td></tr><tr><td><strong><code>date_updated</code></strong></td><td>Time of the most recent update to this transaction</td></tr><tr><td><strong><code>currency_symbol</code></strong></td><td>Asset associated with this transaction</td></tr><tr><td><strong><code>status</code></strong></td><td>Status of this transaction</td></tr><tr><td><strong><code>type</code></strong></td><td>Type of transaction (either <code>stake</code> or <code>reward</code>)</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "data": [
        {
            "amount": 0.0670929,
            "atx_id": 1452808,
            "stake_start": null,
            "stake_end": null,
            "staked_reward_amount": null,
            "staked_auto_restake": null,
            "date_added": "2022-09-29T23:05:34.000Z",
            "date_updated": "2022-09-29T23:05:34.000Z",
            "currency_symbol": "avax",
            "status": "done",
            "type": "reward"
        },
        {
            "amount": 25,
            "atx_id": 1315723,
            "stake_start": "2022-09-15T23:04:27.000Z",
            "stake_end": "2022-09-29T23:04:27.000Z",
            "staked_reward_amount": 0.0670929,
            "staked_auto_restake": 0,
            "date_added": "2022-09-15T23:04:11.000Z",
            "date_updated": "2022-09-29T23:05:34.000Z",
            "currency_symbol": "avax",
            "status": "Unstaked",
            "type": "stake"
        }
    ]
}
```

</details>

### Example Request

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' 
'https://api.sfox.com/v1/staking/transactions'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/staking/transactions',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/staking/transactions",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/rest-api/staking/get-all-staking-transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
